﻿.ios-dark-glass {
    /* background: rgba(28, 28, 30, 0.6); */
    backdrop-filter: blur(16px) saturate(180%) brightness(1.5);
    -webkit-backdrop-filter: blur(16px) saturate(180%) brightness(1.5);
    /* border-radius: 14px; */
    border: 0.5px solid rgba(255, 255, 255, 0.1);
    box-shadow: 0 12px 40px rgba(0, 0, 0, 0.45), inset 0 1.5px 1px rgba(255, 255, 255, 0.15), inset -1px -1px 1.5px -0.5px rgba(255, 255, 255, 0.15), 0 0 0 1px rgba(255, 255, 255, 0.05);
    /* position: relative; */
    /* overflow: hidden; */
    transition: all 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);
}
    /* Ультра-тонкий градиентный оверлей */
    .ios-dark-glass::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: linear-gradient( 135deg, rgba(255, 255, 255, 0.07) 0%, rgba(255, 255, 255, 0.02) 50%, rgba(255, 255, 255, 0.07) 100% );
        z-index: -1;
        border-radius: inherit;
        opacity: 0.5;
        pointer-events: none;
    }

    /* Эффекты при взаимодействии */
/*    .ios-dark-glass:hover {
        background: rgba(38, 38, 40, 0.7);
        box-shadow: 0 16px 50px rgba(0, 0, 0, 0.55), inset 0 1px 1px rgba(255, 255, 255, 0.2), 0 0 0 1px rgba(255, 255, 255, 0.08);
    }
*/
    /*.ios-dark-glass:active {
        transform: scale(0.98);
        box-shadow: 0 8px 35px rgba(0, 0, 0, 0.5), inset 0 1px 1px rgba(255, 255, 255, 0.1), 0 0 0 1px rgba(255, 255, 255, 0.05);
    }*/

/* Стиль для текста с легкой подсветкой */
.ios-dark-glass-text {
    color: rgba(255, 255, 255, 0.92);
    text-shadow: 0 1px 2px rgba(0, 0, 0, 0.4), 0 0 7px rgb(255 255 255 / 39%);
}